Page MenuHomePhabricator

Add a link to a map with the coordinates next to the "Location" input fields
Closed, ResolvedPublic

Description

Add a link to a map with the coordinates next to the "Location" input fields. Requested at https://commons.wikimedia.org/wiki/Commons:Village_pump#UploadWizard_should_link_to_coordinates.

We actually used to have something like this a while ago, but it was lost in the recent UI cleanup.

Event Timeline

matmarex created this task.Apr 28 2016, 1:41 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptApr 28 2016, 1:41 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
matmarex added a subscriber: Yurik.Apr 28 2016, 1:46 PM

@Yurik Could we use https://maps.wikimedia.org/ for this? Does it need any special configuration or something? I know it was previously restricted to Wikivoyage, and I'm not sure what the current status is. We'd be just linking to it (for now, at least), not embedding.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptApr 28 2016, 1:46 PM

@matmarex I don't think the root maps.wikimedia.org should be used for this kinds of linking because it may change at any point - its a source of tiles, not a full service. Instead, I think we should enable <maplink> and <mapframe> on commons, allowing much richer capabilities, now that we have more servers to handle the load. See maps docs.
CC: @MaxSem @BBlack

<maplink> and <mapframe> do not help when we want to show the user a dynamic map inside UploadWizard's interface, where the user has just typed in the coordinates (or where they're reviewing the ones detected from the photo's EXIF data). I'm not intending to use these on the actual file pages (they usually have links to GeoHack).

Yurik added a subscriber: JGirault.Apr 28 2016, 3:04 PM

To sum up our IRC discussion with @matmarex: upload wizard should load the Kartographer's map resources and use them to create a dynamic map on the fly. Please coordinate with @JGirault to establish a clear and documented ;) Kartographer JS interface for all such usecases. All this should be enabled once we deploy Kartographer to Commons.

Jdforrester-WMF triaged this task as Low priority.Apr 28 2016, 3:19 PM

Change 286906 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] uw.LocationDetailsWidget: Display map with a pin inside a popup

https://gerrit.wikimedia.org/r/286906

Maps have been enabled on commons :)

Adding to Maps-Sprint - will try to help as I see this as a good maps use case that will allow us to polish our JS API

Restricted Application added a project: Discovery. · View Herald TranscriptJun 28 2016, 12:05 AM
Yurik added a comment.Sep 14 2016, 8:50 PM

Is this stalling? Can we help with anything for this bug?

It is not a priority for me. You could look at https://gerrit.wikimedia.org/r/286906 and figure out why it doesn't work reliably.

@JGirault, only if you have spare cycles, no rush on this one :)

This comment was removed by matmarex.

Change 286906 merged by jenkins-bot:
uw.LocationDetailsWidget: Display map with a pin inside a popup

https://gerrit.wikimedia.org/r/286906

matmarex closed this task as Resolved.Jan 20 2017, 6:03 PM
matmarex removed a project: Patch-For-Review.